.TH fitsdiff 1 "April 2015" "fitsdiff" "astropy 1.0.2"
.SH NAME
fitsdiff \- compare two FITS image files and report the differences in header keywords and data.
.SH SYNOPSIS
.B fitsdiff
[\fIOPTION\fR]... \fIFILE1\fR \fIFILE2\fR
.SH DESCRIPTION
.PP
\fBfitsdiff\fR is a command line script based on pyfits to compare two
FITS image files and report the differences in header keywords and data.
.PP
\fIFILE1\fR and \fIFILE2\fR are the two files to be compared. They may also be
wild cards, in such cases, they must be enclosed by double or single quotes, or
they may be directory names. If both are directory names, all files in each of
the directories will be included; if only one is directory name, then the
directory name will be prefixed to the file name(s) specified by the other
argument. For example:
.TP
.B "% fitsdiff ""*.fits"" ""/machine/data1""
.PP
will compare all FITS files in the current directory to the corresponding files
in the directory \fI/machine/data1\fR.
.PP
If the two files are identical within the specified conditions, it will report
"No difference is found." If the value(s) of \fI-c\fR and \fI-k\fR takes the form
\fI\@filename\fR, list is in the text file \fIfilename\fR, and each line in that text
file contains one keyword.
.PP
\fBfitsdiff\fR commandline arguments can also be set using the environment variable
\fIFITSDIFF_SETTINGS\fR. If the \fIFITSDIFF_SETTINGS\fR environment variable is present,
each argument present will override the corresponding argument on the
commandline. This environment variable exists to make it easier to change the
behavior of \fBfitsdiff\fR on a global level, such as in a set of regression tests.
.SH GENERIC OPTIONS
.TP
\fB\-h\fR, \fB\-\-help\fR
Display terse usage information (help).
.TP
\fB\-q\fR, \fB\-\-quiet\fR
Produce no output and just return a status code.
.TP
\fB\-n\fR \fIINTEGER\fR, \fB\-\-num\-diffs\fR=\fIINTEGER\fR
Max number of data differences (image pixel or table element) to report per extension (default 10).
.TP
\fB\-d\fR \fINUMBER\fR, \fB\-\-difference-tolerance\fR=\fINUMBER\fR
The relative tolerance for comparison of two numbers,
specifically two floating point numbers.  This applies
to data in both images and tables, and to floating
point keyword values in headers (default 0.0).
.TP
\fB\-b\fR, \fB\-\-no\-ignore\-blanks\fR
Don't ignore trailing blanks (whitespace) in string
values. Otherwise trailing blanks both in header
keywords/values and in table column values) are not
treated as significant i.e. without this option 'ABC ' and 'ABC' are considered equivalent.
.TP
\fB\-\-no\-ignore\-blank\-cards\fR
Don't ignore entirely blank cards in headers. Normally \fIfitsdiff\fR does not
consider blank cards when comparing headers, but this will ensure that even blank
cards match up.
.TP
\fB\-o\fR \fIFILE\fR, \fB\-\-output\-file\fR=\fIFILE\fR
Output results to this file; otherwise results are printed to stdout.
.SH "HEADER COMPARISON OPTIONS"
.TP
\fB\-k\fR \fIKEYWORDS\fR, \fB\-\-ignore\-keywords\fR=\fIKEYWORDS\fR
Comma-separated list of keywords not to be compared.
Keywords may contain wildcard patterns.  To exclude
all keywords, use "*"; make sure to have double or
single quotes around the asterisk.
.TP
\fB\-c\fR \fIKEYWORDS\fR, \fB\-\-ignore\-comments\fR=\fIKEYWORDS\fR
Comma-separated list of keywords whose comments will not be compared.
Wildcards may be used as with \fI\-\-ignore-keywords\fR.
.SH "TABLE COMPARISON OPTIONS"
.TP
\fB\-f\fR \fICOLUMNS\fR, \fB\-\-ignore\-fields\fR=\fICOLUMNS\fR
Comma-separated list of fields (i.e. columns) not to be compared.
All columns may be excluded using "*" as with \fI\-\-ignore-keywords\fR.
.SH "EXAMPLES"
.B "% fitsdiff -k filename,filtnam1 -n 5 -d 1.e-6 test1.fits test2"
.br
This command will compare files \fItest1.fits\fR and \fItest2.fits\fR, report maximum of 5
different pixels values per extension, only report data values larger than
1.e-6 relative to each other, and will neglect the different values of
keywords \fIFILENAME\fR and \fIFILTNAM1\fR (or their very existence).

